#include <sys/types.h>
#include <sys/ipc.h>
#include <sys/sem.h>
#include <stdio.h>
#include <stdlib.h>

#include "description.h"
                            /* creSem.c */
int main(void)
{
 key_t sem_cle;
 int   sem_id;

 sem_cle = ftok("SEMAPHORE",100);
 if (sem_cle==-1) { perror("ftok"); exit(EXIT_FAILURE); }

 sem_id  = semget(sem_cle, SEMNBR, IPC_CREAT | IPC_EXCL | 0666);
 if (sem_id==-1)  { perror("semget"); exit(EXIT_FAILURE); }

 semctl(sem_id, MUTEX, SETVAL, INIVAL); /* Init du semaphore MUTEX */

 return 0;
}
