
#include <stdio.h>
#include <stdlib.h>

int main(int argc,char ** argv)
{
 int i,j;
 int size=1024*1024;
 char * block=(char *)malloc(size);
 int nb;

 if (argc<2) { fprintf(stderr,"%s : argv[1] is missing!\n",argv[0]);
               return(1);
 }

 sscanf(argv[1],"%d",&nb);
 for(i=0;i<nb;i++)
 {
  for(j=0;j<size;j+=8)
  {
   sprintf(block+j,"%2.2X-%4.4X",(j/8)&0x000000FF,i&0x0000FFFF);
   block[j+7]=((1+j/8)%10 ? ' ' : '\n');
  }
  block[size-1]='\n';
  fwrite(block,1,size,stdout);
 }

 return(0);
}
