                         /* ignorePOSIX.c */
#include <signal.h>
#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>

void interception(int numero_signal)
{
 fprintf(stdout,
        "Reception du signal %d par le processus %d\n",
         numero_signal, getpid());
}

int main(void)
{
 int i = 0;

 struct sigaction action;

 action.sa_handler = interception;
 sigemptyset( &(action.sa_mask) );
 action.sa_flags = 0;

 if (sigaction(SIGINT,&action, NULL) != 0)       /* SIGINT: ^C */
     fprintf(stderr,"Signal SIGINT non capte\n");


 for(i=1;i<=3;i++) { 
    fprintf(stdout,"hello %d\n",i);
    sleep(2);
 }

 return EXIT_SUCCESS;
}
