#include <sys/types.h>
#include <sys/ipc.h>
#include <sys/sem.h>
#include <sys/shm.h>
#include <stdio.h>
#include <stdlib.h>

#include "description.h"
                            /* creIPC.c */
int main(void)
{
 key_t sem_cle, shm_cle;
 int   sem_id, shm_id;

 unsigned short semValue[SEMNBR];
 int i;

 data *shmAdr;

 sem_cle = ftok("SEMAPHORE",100);
 if (sem_cle==-1) { perror("ftok"); exit(EXIT_FAILURE); }

 sem_id  = semget(sem_cle, SEMNBR, IPC_CREAT | IPC_EXCL | 0666);
 if (sem_id==-1)  { perror("semget"); exit(EXIT_FAILURE); }

 for(i=0;i<SEMNBR;i++) 
 {
  semValue[i]=INIVAL;
 }

 semctl(sem_id, SEMNBR, SETALL, semValue); /* Init de "tous" les semaphores */

 shm_cle = ftok("MEMOIRE",100);
 if (shm_cle==-1) { perror("ftok"); exit(EXIT_FAILURE); }

 shm_id  = shmget(shm_cle,sizeof(data),IPC_CREAT | IPC_EXCL | 0666);
 if (shm_id==-1)  { perror("shmget"); exit(EXIT_FAILURE); }

 shmAdr = (data*)shmat(shm_id,NULL,0);
 if (shmAdr==(data*)-1) { perror("shmat"); exit(EXIT_FAILURE); }

 shmAdr->lastPid  = 0; /* Mise a 0 du pid_t en memoire partagee */
 shmAdr->nbAccess = 0; /* Mise a 0 de l'int en memoire partagee */

 shmdt(shmAdr);

 return 0;
}
