
#include <sys/poll.h>
#include <alloca.h>
#include <errno.h>

#include <stdio.h>                          
                                            /* Surveiller les descripteurs */
void pollExample(int * fdArray,size_t nbFd) /* passes dans le tableau      */
{
 size_t i;
 int result;
 struct pollfd * fds=(struct pollfd *)alloca(nbFd*sizeof(struct pollfd));
 for(i=0;i<nbFd;i++)
 {
  fds[i].fd=fdArray[i];
  fds[i].events=POLLIN | POLLOUT;
 } 

 do  /* bloquer le processus en attendant une possibilite de lecture */
 {
  result=poll(fds,nbFd,10000);
 } while((result==-1)&&(errno==EINTR)); /* eviter les interruptions */

 switch(result)
 {
  case -1:
    fprintf(stderr,"Pb in poll() !\n");
    break;
  case 0:
    fprintf(stderr,"Timeout expired in poll() !\n");
    break;
  default:
    for(i=0;i<nbFd;i++)
    {
     if(fds[i].revents&POLLIN)
        fprintf(stderr,"I can read from %d\n",fdArray[i]);
     if(fds[i].revents&POLLOUT)
        fprintf(stderr,"I can write to %d\n",fdArray[i]);
    }
 }
}
