#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>
#include <errno.h>
#include <stdio.h>
#include <stdlib.h>          

int main(void)   
{               
 int status=EXIT_SUCCESS;
 int fd=open("file.txt",O_RDONLY);
 if(fd==-1)
 {
  perror("open()");
  status=EXIT_FAILURE;
 }
 else
 {
  char buffer[256];
  ssize_t nb;

  do
  {
   nb=read(fd,buffer,255);
  } while((nb==-1)&& ((errno==EINTR)||(errno==EAGAIN)));

  if(nb==-1)
  {
   perror("read()");
   status=EXIT_FAILURE;
  }
  else
  {
   buffer[nb]='\0';
   fprintf(stderr,"Success ! --> %s\n",buffer);
  }

  close(fd);
 }

 return(status);
}
